curl --request GET \
--url https://myorg.tribalhabits.com/papi/users/{user_name} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/users/{user_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/users/{user_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/users/{user_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/users/{user_name}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/users/{user_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"user_name": "12345",
"first_name": "Bilbo",
"last_name": "Baggins",
"email": "bilbo@myorg.com",
"manager_email": "manager@company.com",
"manager_2_email": "manager2@company.com",
"manager_3_email": null,
"manager_4_email": null,
"manager_5_email": null,
"mentor_email": "mentor@company.com",
"lms_learner_id": "456",
"lms_reference": "Testlms",
"org_admin": false,
"creator": false,
"team_leader": false,
"created_at": "2019-04-01T15:46:31.586+11:00",
"updated_at": "2021-06-15T09:25:25.756+10:00",
"current_sign_in_at": "2022-06-15T09:25:25.756+10:00",
"admin_type": null,
"deactivate_scheduled_date": "2022-06-15T00:00:00.000+10:00",
"reactivate_scheduled_date": null,
"language": "en",
"created_by": "API",
"timezone": "Australia/Sydney",
"user_notifications_enabled": true,
"team_leader_report_frequency": "every_thursday",
"learner_report_frequency": null,
"assessor_report_frequency": "every_wednesday",
"default_landing_page": "Default",
"org_admin_access": "none",
"login": "internal",
"type": "Client",
"active": true,
"X-Country": "Australia",
"X-State": "Queensland",
"X-Preferred Name": "Jack",
"platform_champion": false,
"role_1": "Instructor",
"role_2": null,
"role_3": null,
"role_4": null,
"role_5": null,
"groups": "Brisbane;Bundaberg",
"goals": "Goal1;Goal2"
}"not found"{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Get a specific user
This endpoint retrieves a specific user.
user_name is the unique identifier of the person to retrieve (case-insensitive).
Returns 404 if the user does not exist.
curl --request GET \
--url https://myorg.tribalhabits.com/papi/users/{user_name} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/users/{user_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/users/{user_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/users/{user_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/users/{user_name}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/users/{user_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"user_name": "12345",
"first_name": "Bilbo",
"last_name": "Baggins",
"email": "bilbo@myorg.com",
"manager_email": "manager@company.com",
"manager_2_email": "manager2@company.com",
"manager_3_email": null,
"manager_4_email": null,
"manager_5_email": null,
"mentor_email": "mentor@company.com",
"lms_learner_id": "456",
"lms_reference": "Testlms",
"org_admin": false,
"creator": false,
"team_leader": false,
"created_at": "2019-04-01T15:46:31.586+11:00",
"updated_at": "2021-06-15T09:25:25.756+10:00",
"current_sign_in_at": "2022-06-15T09:25:25.756+10:00",
"admin_type": null,
"deactivate_scheduled_date": "2022-06-15T00:00:00.000+10:00",
"reactivate_scheduled_date": null,
"language": "en",
"created_by": "API",
"timezone": "Australia/Sydney",
"user_notifications_enabled": true,
"team_leader_report_frequency": "every_thursday",
"learner_report_frequency": null,
"assessor_report_frequency": "every_wednesday",
"default_landing_page": "Default",
"org_admin_access": "none",
"login": "internal",
"type": "Client",
"active": true,
"X-Country": "Australia",
"X-State": "Queensland",
"X-Preferred Name": "Jack",
"platform_champion": false,
"role_1": "Instructor",
"role_2": null,
"role_3": null,
"role_4": null,
"role_5": null,
"groups": "Brisbane;Bundaberg",
"goals": "Goal1;Goal2"
}"not found"{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Authorizations
Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.
Path Parameters
Response
The user
The user object returned by the user endpoints. Custom fields are included as X- fields, see Custom fields.
Unique identifier of the user. Always stored and returned in lower case
User's first name
User's last name
User's email address
Email address of the user's manager. null if not set
Email address of the user's 2nd manager. null if not set
Email address of the user's 3rd manager. null if not set
Email address of the user's 4th manager. null if not set
Email address of the user's 5th manager. null if not set
Email address of the user's mentor
User's identifier in your company LMS
User's LMS name in your company LMS
true if the user is an administrator
true if the user can create topics
true if the user is the manager of at least one other user (derived from other users' manager emails)
Timestamp
Timestamp
Timestamp. null if the user has never signed in
Administrator type as a number: 0 = super, 1 = standard, 2 = knowledge, 3 = reporting, 4 = instructor, 5 = restricted, 6 = observer, 7 = people, 8 = library. null if not an administrator
Timestamp of the date on which the account is scheduled to be deactivated, or null
Timestamp of the date on which the account is scheduled to be reactivated, or null
Language code, eg en
How the user was created, eg API
User's time zone, eg Australia/Sydney
true if the user receives email notifications
Team leader report email frequency. See Update a specific user for values
Learner report email frequency. See Update a specific user for values
Assessor report email frequency. See Update a specific user for values
Page shown after login, or Default
Name of the administrator type (see admin_type), or none
internal or external
internal, external Type of user, eg Staff, Client
false if the account has been deactivated
Custom fields. See Custom fields
true if the user is a platform champion for your organisation
Name of the role in position 1, or null
Name of the role in position 2, or null
Name of the role in position 3, or null
Name of the role in position 4, or null
Name of the role in position 5, or null
Group names, sorted and separated by semicolons
Goal names, sorted and separated by semicolons

